Available in Classic and VPC
Get the list of issued ACME accounts and EAB credentials.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /api/v2/acme/accounts |
Request headers
For information about the request headers common to all Certificate Manager APIs, see Certificate Manager request headers.
This API does not support pagination. Even if you specify page or pageSize, they will be ignored, and the entire list will be returned.
Request example
The request example is as follows:
curl --location --request GET 'https://certificatemanager.apigw.ntruss.com/api/v2/acme/accounts' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
returnCode |
String | - | Response code
|
returnMessage |
String | - | Response message |
totalRows |
Integer | - | This is a common count field that is not used by this API and always returns 0. |
success |
Boolean | - | Whether the query was successful |
message |
String | - | Business message
|
totalCount |
Integer | - | Total number of accounts |
accounts |
Array | - | Account list: accounts |
accounts
The following describes accounts.
| Field | Type | Required | Description |
|---|---|---|---|
accountId |
Long | - | ACME account ID |
status |
String | - | Account activation status
|
memberNo |
String | - | Member number |
contactEmail |
String | - | Contact email |
alias |
String | - | Account nickname |
certificateTypeName |
String | - | Certificate type name |
validityDays |
Integer | - | Certificate validity period (day) |
organizationName |
String | - | OV organization name (if applicable) |
createdAt |
String | - | Account creation date and time |
updatedAt |
String | - | Account modification date and time |
eabKid |
String | - | EAB Key ID |
eabHmacKey |
String | - | Masked EAB HMAC key |
eabUsed |
Boolean | - | EAB usage status |
eabActive |
Boolean | - | EAB activation status |
eabExpireAt |
String | - | EAB expiration date and time |
eabCreatedAt |
String | - | EAB creation date and time |
acmeDirectoryUrl |
String | - | ACME directory URL |
Response status codes
For information about the response status codes common to all Certificate Manager APIs, see Certificate Manager response status codes.
Response example
The response example is as follows:
{
"returnCode": "0",
"returnMessage": "SUCCESS",
"totalRows": 0,
"success": true,
"message": "Account list retrieved successfully",
"totalCount": 2,
"accounts": [
{
"accountId": 50123,
"status": "valid",
"memberNo": "12345",
"contactEmail": "navercloud@naver.com",
"alias": "my-acme-account",
"certificateTypeName": "Advanced DV",
"validityDays": 397,
"organizationName": null,
"createdAt": "2026-04-20T10:01:11",
"updatedAt": "2026-04-20T10:03:45",
"eabKid": "eab_7f3c21b9",
"eabHmacKey": "uQxJp3********",
"eabUsed": true,
"eabActive": true,
"eabExpireAt": "2026-05-20T09:00:00",
"eabCreatedAt": "2026-04-20T10:01:15",
"acmeDirectoryUrl": "https://ra-beta.example.com/acme/directory"
}
]
}